Skip to main content
GET
Rules by table

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

table
string
required

The name of the table to retrieve the data quality rules for.

Query Parameters

only_accepted
boolean
default:false

If true, returns only accepted rules.

Response

Rules returned.

id
string<uuid>
required

Unique ID of the data quality rule.

rule_name
string
required

Name of the data quality rule.

rule_description
string
required

Brief explanation of what the rule checks.

sql
string
required

Trino SQL query used to validate the rule.

accepted
boolean
required

Whether you have accepted this rule.

table
string
required

The database table this rule applies to.

external_id
string | null

Uniform Resource Name (URN) of the assertion in DataHub.

spark_sql
string | null

Spark SQL query of the rule, if applicable.

success_value
string | null

Expected success condition for this rule.

created_by
string | null

Username or identifier of who created this rule.

approved_by
string | null

Username of who approved this rule.

created_at
string<date-time> | null

Timestamp when the rule was created.

approved_at
string<date-time> | null

Timestamp when the rule was approved.

is_created
boolean
default:false

True once the rule has been explicitly created (not just a suggestion).